Index Page setmsg_c
A B C D E F G H I J K L M N O P Q R S T U V W X
Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries
#### Procedure
       void setmsg_c ( ConstSpiceChar * message )
#### Abstract
       Set the value of the current long error message.
#### Required_Reading
       ERROR
#### Keywords
       ERROR
#### Brief_I/O
       VARIABLE  I/O  DESCRIPTION
       --------  ---  --------------------------------------------------
       message    I   A long error message.
#### Detailed_Input
       message        A ``long'' error message.
                      message is a detailed description of the error.
                      message is supposed to start with the name of the
                      module which detected the error, followed by a
                      colon.  Example:

                         "rdtext_c:  There are no more free logical units"

                      Only the first LMSGLN (see setmsg.c) characters of
                      message are stored; any further characters are
                      truncated.

                      Generally, message will be stored internally by the
                      CSPICE error handling mechanism.  The only exception
                      is the case in which the user has commanded the
                      toolkit to ``ignore'' the error indicated by message.

                      As a default, message will be output to the screen.
                      See the required reading file for a discussion of how
                      to customize toolkit error handling behavior, and
                      in particular, the disposition of message.
#### Detailed_Output
       None.
#### Parameters
       None.
#### Exceptions
       This routine does not detect any errors.

       However, this routine is part of the interface to the
       CSPICE error handling mechanism.  For this reason,
       this routine does not participate in the trace scheme,
       even though it has external references.
#### Files
       None.
#### Particulars
       The CSPICE routine sigerr_c should always be called
       AFTER this routine is called, when an error is detected.

       The effects of this routine are:

          1.  If acceptance of a new long error message is
              allowed:

              message will be stored internally.  As a result,
              The CSPICE routine, getmsg_ , will be able to
              retrieve message, until message has been ``erased''
              by a call to reset_c, or overwritten by another
              call to setmsg_c.

          2.  If acceptance of a new long error message is not allowed,
              a call to this routine has no effect.
#### Examples
        In the following example, an error is signaled because the
        double precision variable x contains an invalid value.  The
        value of x and the maximum allowed value MAXVAL are substituted
        into the error message at the locations indicated by the # signs
        below.

           /.
           Indicate that x is out of range if x is too large.
           ./

           if ( x > MAXVAL )
           {
              setmsg_c ( "Variable x = #; maximum allowed value is #" );
              errdp_c  ( "#",  x                                      );
              errdp_c  ( "#",  MAXVAL                                 );
              sigerr_c ( "SPICE(VALUEOUTOFRANGE)"                     ) ;
              return;
           }
#### Restrictions
       sigerr_c must be called once after each call to this routine.
#### Literature_References
       None.
#### Author_and_Institution
       N.J. Bachman    (JPL)
#### Version
       -CSPICE Version 1.2.1, 25-MAR-1998 (EDW)

          Corrected errors in header.

       -CSPICE Version 1.2.0, 08-FEB-1998 (NJB)

          Re-implemented routine without dynamically allocated, temporary
          strings.  Made various header fixes.

       -CSPICE Version 1.0.0, 25-OCT-1997 (EDW)
#### Index_Entries
       set long error message
#### Link to routine setmsg_c source file setmsg_c.c

    Wed Jun  9 13:05:29 2010